<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xml:lang="en">
<head>
  <title>csrf-magic 1.0.1 released - News</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
  <meta name="description" content="Release notice for csrf-magic 1.0.1." />
  <meta name="keywords" content="library, security, open source, csrf, cross-site request forgery, protection, 1.0.1, release" />
</head>
<body>

<h1 id="title">csrf-magic 1.0.1 released</h1>

<div id="body">
<div id="content">

<div id="short-content">
<p>
  <a href="releases/csrf-magic-1.0.1.tar.gz" xc:absolute="href">csrf-magic 1.0.1</a> is a maintenance release, with a few new features
  that overall improve the usability and security of the library, as
  well as a bugfix for JQuery users.
</p>
<p>
  We also have an <abbr>RSS</abbr> feed now, for users who would like
  to keep updated with csrf-magic!
</p>
</div>

<h2>New features</h2>

<ul>
    <li> Support for composite tokens; this also fixes a bug with using
      IP-based tokens for users with cookies disabled.</li>

    <li> Native support cookie tokens; use csrf_conf('cookie', $name) to
      specify the name of a cookie that the CSRF token should be
      placed in.  This is useful if you have a Squid cache, and need
      to configure it to ignore this token.</li>

    <li> Tips/tricks section in README.txt.</li>

    <li> There is now a two hour expiration time on all tokens.  This
      can be modified using csrf_conf('expires', $seconds).</li>

    <li> ClickJacking protection using an iframe breaker.  Disable with
      csrf_conf('frame-breaker', false).</li>
</ul>

<h2>Bug fixes</h2>

<ul>
    <li> CsrfMagic.send() incorrectly submitted GET requests twice,
      once without the magic token and once with the token.  Reported
      by Kelly Lu <code>&lt;lubird@gmail.com&gt;</code>.</li>
</ul>


</div>
</div>

<xi:include href="common-footer.xml" xpointer="xpointer(/*)" />

</body>
</html>
